/*
 * 文 件 名:  ChargingBill
 * 版    权:  浩鲸云计算科技股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2024/9/2
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.domain;

/**
 * 账单
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2024/9/2]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public class ChargingBill {
    /**
     * 账单主体代码
     */
    private String objCode;

    /**
     * 账单主体名称
     */
    private String objName;

    /**
     * 计量时间
     */
    private String meteredTime;

    /**
     * 计量值
     */
    private Double meteredValue;

    /**
     * 计量金额
     */
    private Double meteredPrice;

    /**
     * 公摊值
     */
    private Long sharedValue;

    /**
     * 公摊金额
     */
    private Double sharedPrice;

    /**
     * 公摊计算方式
     */
    private Integer sharedComputeType;

    /**
     * 总计用量
     */
    private Long totalValue;

    /**
     * 合计金额
     */
    private Double totalPrice;

    public String getObjCode() {
        return objCode;
    }

    public void setObjCode(String objCode) {
        this.objCode = objCode;
    }

    public String getObjName() {
        return objName;
    }

    public void setObjName(String objName) {
        this.objName = objName;
    }

    public String getMeteredTime() {
        return meteredTime;
    }

    public void setMeteredTime(String meteredTime) {
        this.meteredTime = meteredTime;
    }

    public Double getMeteredValue() {
        return meteredValue;
    }

    public void setMeteredValue(Double meteredValue) {
        this.meteredValue = meteredValue;
    }

    public Double getMeteredPrice() {
        return meteredPrice;
    }

    public void setMeteredPrice(Double meteredPrice) {
        this.meteredPrice = meteredPrice;
    }

    public Long getSharedValue() {
        return sharedValue;
    }

    public void setSharedValue(Long sharedValue) {
        this.sharedValue = sharedValue;
    }

    public Double getSharedPrice() {
        return sharedPrice;
    }

    public void setSharedPrice(Double sharedPrice) {
        this.sharedPrice = sharedPrice;
    }

    public Integer getSharedComputeType() {
        return sharedComputeType;
    }

    public void setSharedComputeType(Integer sharedComputeType) {
        this.sharedComputeType = sharedComputeType;
    }

    public Long getTotalValue() {
        return totalValue;
    }

    public void setTotalValue(Long totalValue) {
        this.totalValue = totalValue;
    }

    public Double getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(Double totalPrice) {
        this.totalPrice = totalPrice;
    }

    @Override
    public String toString() {
        return "ChargingBill{" + "objCode='" + objCode + '\'' + ", objName='" + objName + '\'' + ", meteredTime='"
            + meteredTime + '\'' + ", meteredValue=" + meteredValue + ", meteredPrice=" + meteredPrice
            + ", sharedValue=" + sharedValue + ", sharedPrice=" + sharedPrice + ", sharedComputeType="
            + sharedComputeType + ", totalValue='" + totalValue + '\'' + ", totalPrice=" + totalPrice + '}';
    }
}